# spec file for package nodejs-nodejs-spdx-license-ids

%global commit 05c7466fcd62c8642006ef354c95064fcade3a03

%global npm_name spdx-license-ids
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-spdx-license-ids
Version:	1.0.1
Release:	1%{?dist}
Summary:	A list of SPDX license identifiers
Url:		https://github.com/shinnn/spdx-license-ids
Source0:	https://github.com/shinnn/spdx-license-ids/archive/%{commit}/%{npm_name}-%{commit}.tar.gz
License:	Unlicense

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(@shinnn/eslintrc)
BuildRequires:	npm(each-async)
BuildRequires:	npm(eslint)
BuildRequires:	npm(got)
BuildRequires:	npm(istanbul-coveralls)
BuildRequires:	npm(istanbul)
BuildRequires:	npm(require-bower-files)
BuildRequires:	npm(rm-rf)
BuildRequires:	npm(stringify-object)
BuildRequires:	npm(tape)
%endif

%description
A list of SPDX license identifiers

%prep
%setup -q -n %{npm_name}-%{commit}

chmod -x README.md
chmod -x build.js bower.json

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json bower.json build.js spdx-license-ids.json spdx-license-ids-browser.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
node --harmony_arrow_functions test.js
%endif

%files
%{nodejs_sitelib}/spdx-license-ids

%doc README.md
%license LICENSE

%changelog
* Wed Jun 10 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.1-1
- Initial build

